package com.dxhy.base.utils;

import java.util.Arrays;

/**
 * 发票是否可认证
 */
public class InvoiceTypeUtils {
    /**
     * 可认证发票类型
     * 01---增值税专用发票
     * 03---机动车销售统一发票
     * 08---增值税电子专用发票
     * 14---增值税电子普通发票(通行费)
     * 31---电子发票（增值税专用发票）
     * 32---电子发票（普通发票）
     * 283-电子发票（铁路电子客票）
     * 161-电子发票（航空运输客票电子行程单）
     * 183-机动车销售电子统一发票
     * 185---全电纸质发票（增值税专用发票）
     * 383---数电票（机动车销售统一发票）
     * 187---数电纸票（机动车销售统一发票）
     */
    public static String invoiceTypes = "01,03,08,14,31,32,283,161,183,185,383,187";

    /**
     *
     */
    public static boolean isKrz(String invoiceType, String lqTdyslxDm) {
        String[] split = invoiceTypes.split(",");
        Arrays.sort(split);
        if (Arrays.binarySearch(split, invoiceType) < 0) {
            return false;
        }
        if ("32".equals(invoiceType) && !"08".equals(lqTdyslxDm)) {
            return false;
        }
        return true;
    }
}
